Package htsjdk.samtools.util

# Class SamLocusIterator.RecordAndOffset

java.lang.Object
htsjdk.samtools.util.AbstractRecordAndOffset
htsjdk.samtools.util.SamLocusIterator.RecordAndOffset

Enclosing class:
  `SamLocusIterator`

public static class SamLocusIterator.RecordAndOffset extends AbstractRecordAndOffset
Implementation of `AbstractRecordAndOffset` class for `SamLocusIterator`. One object represents one aligned base of inner `SAMRecord`.

## Nested Class Summary

## Nested classes/interfaces inherited from class htsjdk.samtools.util.AbstractRecordAndOffset

`AbstractRecordAndOffset.AlignmentType`

## Field Summary

### Fields inherited from class htsjdk.samtools.util.AbstractRecordAndOffset

`alignmentType, offset, record`

## Constructor Summary

Constructors
Constructor
Description
`RecordAndOffset(SAMRecord record, int offset)`
`RecordAndOffset(SAMRecord record, int offset, AbstractRecordAndOffset.AlignmentType alignmentType)`

## Method Summary

### Methods inherited from class htsjdk.samtools.util.AbstractRecordAndOffset

`getAlignmentType, getBaseQualities, getBaseQuality, getLength, getOffset, getReadBase, getReadName, getRecord, validateOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RecordAndOffset

public RecordAndOffset(SAMRecord record, int offset)

Parameters:
  `record` - inner `SAMRecord`
  `offset` - 0-based offset from the start of `SAMRecord`

### RecordAndOffset

public RecordAndOffset(SAMRecord record, int offset, AbstractRecordAndOffset.AlignmentType alignmentType)

Parameters:
  `record` - inner `SAMRecord`
  `offset` - 0-based offset from the start of `SAMRecord`
  `alignmentType` - The `AbstractRecordAndOffset.AlignmentType` of this object, which is used when queried in a `SamLocusIterator`.